Bug 196563 - Subversion module has wrong dependencies NoClassDefFoundError: org/openide/util/NetworkSettings
Subversion module has wrong dependencies NoClassDefFoundError: org/openide/ut...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.0.1
All All
: P3 (vote)
: 7.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 22:33 UTC by Exceptions Reporter
Modified: 2011-04-15 08:41 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.29 KB, text/plain)
2011-03-10 22:33 UTC, Exceptions Reporter
Details
stacktrace (2.16 KB, text/plain)
2011-03-17 20:28 UTC, rperazzo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-03-10 22:33:29 UTC
Build: NetBeans IDE Dev (Build 201103100400)
VM: OpenJDK 64-Bit Server VM, 19.0-b09, OpenJDK Runtime Environment, 1.6.0_20-b20
OS: Linux

User Comments:
ukko: After open project




Stacktrace: 
java.lang.NoClassDefFoundError: org/openide/util/NetworkSettings
   at org.netbeans.modules.subversion.config.SvnConfigFiles.setProxy(SvnConfigFiles.java:244)
   at org.netbeans.modules.subversion.config.SvnConfigFiles.storeSvnServersSettings(SvnConfigFiles.java:210)
   at org.netbeans.modules.subversion.client.SvnClientInvocationHandler.handle(SvnClientInvocationHandler.java:364)
   at org.netbeans.modules.subversion.client.SvnClientInvocationHandler.invokeMethod(SvnClientInvocationHandler.java:331)
   at org.netbeans.modules.subversion.client.SvnClientInvocationHandler$2.call(SvnClientInvocationHandler.java:176)
   at org.netbeans.modules.subversion.client.SvnClientInvocationHandler.invoke(SvnClientInvocationHandler.java:185)
Comment 1 Exceptions Reporter 2011-03-10 22:33:33 UTC
Created attachment 106896 [details]
stacktrace
Comment 2 rperazzo 2011-03-17 20:28:04 UTC
Created attachment 107090 [details]
stacktrace
Comment 3 Jaroslav Tulach 2011-04-14 06:20:59 UTC
Very likely the subversion module forgot to increment version dependency on openide.util when it started to use the new API class.
Comment 4 Ondrej Vrabec 2011-04-14 07:17:59 UTC
fix: http://hg.netbeans.org/core-main/rev/99190a3c240a
Comment 5 Quality Engineering 2011-04-15 08:41:12 UTC
Integrated into 'main-golden', will be available in build *201104150401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/99190a3c240a
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #196563 - Subversion module has wrong dependencies NoClassDefFoundError: org/openide/util/NetworkSettings
incrementing spec versions


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo